ARG JAVA_VERSION=11

FROM openjdk:$JAVA_VERSION

WORKDIR /usr/bin/cre/

ARG ARTIFACT_NAME=ColorRecipesExplorer
COPY $ARTIFACT_NAME.jar ColorRecipesExplorer.jar

ARG PORT=9090
EXPOSE $PORT

ENV spring_profiles_active=h2,rest
ENV server_port=$PORT
ENV spring_datasource_url=jdbc:h2:mem:cre
ENV spring_datasource_username=root
ENV spring_datasource_password=pass

ENTRYPOINT ["java", "-jar", "ColorRecipesExplorer.jar"]
